Subject: [Gen-art] review of draft-holmberg-dispatch-received-realm-08.txt

From: Francis Dupont <[email-masked]>
Date: Wed, 09 Nov 2016 15:45:52 +0100

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Document: draft-holmberg-dispatch-received-realm-08.txt
Reviewer: Francis Dupont
Review Date: 20161103
IETF LC End Date: 20161123
IESG Telechat date: unknown

Summary: Almost Ready

Major issues: None

Minor issues: the wording should be improved by a native English writer
(there are no language construct I can't understand but some are clearly
incorrect and I am not sure someone for instance from Asia will have
no trouble).

Nits/editorial comments:
 - title page 1: Add SIP before "Via header"

 - ToC page 2 and 10 page 11: Acknowledgements -> Acknowledgments

 - 1.1 page 2: IMHO it is better to expand the SIP abbrev as it is done
  in the Abstract (note SIP is well known so it is not required to expand
  it at the first use).

 - 1.1 page 2: the SIP requests -> SIP requests

 - 1.1 page 2: transit network. -> transit networks.

 - 1.1 page 3 (wording): In order to do that ... , belongs.
  This construct is not natural at all in English

 - 1.2 page 3: e.g. -> , e.g., (and) (e.g. -> (e.g.,

 - 1.3 page 4 (at end of line): i.e. -> i.e.,

 - 2 page 4: perhaps there should be an extra comma in "based e.g., on..."?
  (I suggest to use "for instance")

 - 3 page 4: you don't list all RFC 2119 key words (I am not sure
  it is a problem but for instance MAY NOT is not there).

 - 5.3 page 5: proceudres -> procedures

 - 5.6.2 page 8: the received-realm rule is not indented as others

 - 6.2 page 8 and 6.3 page 9: (e.g. -> (e.g., 

Regards

[email-masked]

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 9 Nov 2016 20:20:29 +0000

Hi Francis,

Thank You for the review! Please see inline.

>Minor issues: the wording should be improved by a native English writer (there are no language 
>construct I can't understand but some are clearly incorrect and I am not sure someone for instance 
>from Asia will have no trouble).

Adam Roach, who is a native English speaker, did a fairly detailed review of the draft, and had a number of editorial comments. But, if you think there is text that is incorrect it should of course be fixed.

Below you have a comment on a sentence in section 1.1. Is there something else that you also consider incorrect?

> - title page 1: Add SIP before "Via header"

I will add as suggested.

>From an English grammar perspective I think both are correct, but without the "e" is the U.S way, so I'll change as suggested.

>  in the Abstract (note SIP is well known so it is not required to expand

I will expand, and add a reference to RFC 3261.

> - 1.1 page 2: the SIP requests -> SIP requests

I suggest to say "the SIP requests associated with the session".

> - 1.1 page 2: transit network. -> transit networks.

I will fix as suggested.

>  This construct is not natural at all in English

I am not sure how I could change it.

Would removing a couple of commas have any impact?

   "In order to do that, a transit network often needs to know to which
   operator (or enterprise) the adjacent upstream network from which
   the SIP session initiation request is received belongs."

...and/or say "In order to provide such services, a transit..."

> - 1.2 page 3: e.g. -> , e.g., (and) (e.g. -> (e.g.,

I will fix as suggested.

> - 1.3 page 4 (at end of line): i.e. -> i.e.,

I will fix as suggested.

 > (I suggest to use "for instance")

I have no idea whether there should be two commas, but I can replace it with "for instance" as suggested.

>  it is a problem but for instance MAY NOT is not there).

I had a look at a few other RFCs and "MAY NOT" does not appear in those either. I've never seen usage of "MAY NOT" in an RFC.

> - 5.3 page 5: proceudres -> procedures

I will fix as suggested.

> - 5.6.2 page 8: the received-realm rule is not indented as others

I will fix that.

> - 6.2 page 8 and 6.3 page 9: (e.g. -> (e.g., 

I will fix as suggested.

Regards,

Christer

---

From: Jari Arkko <[email-masked]>
Date: Thu, 10 Nov 2016 05:40:30 +0200

Many thanks for the review, Francis. And thank you Christer for addressing the editorial question marks.

Jari